Subject: Ticket Assigned - Landmark Group
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 04 Mar 2023 03:48:26 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Dear Landmark Group,

I am writing this email directly to your known company, Babyshop under Landmark Group before I share my issue with Department of Economic Development. 

This is is regarding my orders 9417152836 and 9417147791. Both orders are confirmed and deducted on my card already, which is scheduled to be delivered today 3rd March and tomorrow 4th March. Order 9417147791 is reconfirmed by an Customer Centre Agent named Vina via phone and says that it is shipped and will be delivered 2-3 days. Now, the question is why did you cancel it? All items are still available online and in-store. I feel cheated and so deceived by this incident. You have promoted your Mid-Season offer that includes baby items like travel gear and furnitures to which I waited for so long since I am having my firstborn. This is really disappointing to think that you are one of the biggest Company in the UAE, is this how you treat your loyal customers? Or is this the way you deceive innocent people waiting for good deals to come and spend their hard-earned money? This is really unacceptable, I don’t want any refund, I need the items which you confirmed by email and reconfirmed by your agent saying there’s no issue on my order - you can check my call logs for reference.

I am waiting for your action on this matter before we raise it to the concerned Government department as I my rights as a valued consumer.

Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5785293